## r-cran-rbibutils 2.0

=== DESCRIPTION ===
Package: rbibutils
Type: Package
Title: Convert Between Bibliography Formats
Version: 2.0
Date: 2020-11-18
Authors@R: c( person(given = c("Georgi", "N."), family = "Boshnakov", 
                     role = c("aut", "cre"), 	
                     email = "georgi.boshnakov@manchester.ac.uk",
		     comment = "R port, modifications to bibutils' C code"
		     ),
              person(given = "Chris", family = "Putman",
                     role = "aut",
		     comment = "src/*, author of the bibutils libraries, https://sourceforge.net/projects/bibutils/"),
              person(given = "Richard", family = "Mathar",
                     role = "ctb",
		     comment = "src/addsout.c"),
              person(given = "Johannes", family = "Wilm",
                     role = "ctb",
		     comment = "src/biblatexin.c, src/bltypes.c")
		     )
Description: Converts between a number of bibliography formats,
    including 'BibTeX', 'BibLaTeX' and 'Bibentry'.  Includes a port of the
    'bibutils' utilities by Chris Putnam
    <https://sourceforge.net/projects/bibutils/>. Supports all
    bibliography formats and character encodings implemented in
    'bibutils'. 
License: GPL-2
URL: https://geobosh.github.io/rbibutils/ (website),
        https://github.com/GeoBosh/rbibutils (devel)
BugReports: https://github.com/GeoBosh/rbibutils/issues
Depends: R (>= 2.10)
Imports: utils, tools
Suggests: testthat
Encoding: UTF-8
LazyData: true
NeedsCompilation: yes
Packaged: 2020-11-18 07:48:40 UTC; georgi
Author: Georgi N. Boshnakov [aut, cre] (R port, modifications to bibutils' C
    code),
  Chris Putman [aut] (src/*, author of the bibutils libraries,
    https://sourceforge.net/projects/bibutils/),
  Richard Mathar [ctb] (src/addsout.c),
  Johannes Wilm [ctb] (src/biblatexin.c, src/bltypes.c)
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2020-11-18 18:40:02 UTC

=== debian/changelog ===
r-cran-rbibutils (2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 Nov 2020 11:37:10 +0100

r-cran-rbibutils (1.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2020 12:00:00 +0100

r-cran-rbibutils (1.3-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 23:02:31 +0200

r-cran-rbibutils (1.3-1) unstable; urgency=medium

  * Initial release (closes: #972088)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 15:35:54 +0200

=== debian/control ===
Source: r-cran-rbibutils
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
Homepage: https://cran.r-project.org/package=rbibutils
Rules-Requires-Root: no

Package: r-cran-rbibutils
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R convert between bibliography formats
 Converts between a number of bibliography formats,
 including 'BibTeX', 'BibLaTeX' and 'Bibentry'.  Includes a port of the
 'bibutils' utilities by Chris Putnam
 <https://sourceforge.net/projects/bibutils/>. Supports all
 bibliography formats and character encodings implemented in
 'bibutils'.

## r-cran-rbibutils 2.2.7

=== DESCRIPTION ===
Package: rbibutils
Type: Package
Title: Read 'Bibtex' Files and Convert Between Bibliography Formats
Version: 2.2.7
Date: 2021-12-06
Authors@R: c( person(given = c("Georgi", "N."), family = "Boshnakov", 
                     role = c("aut", "cre"), 	
                     email = "georgi.boshnakov@manchester.ac.uk",
		     comment = "R port, R code, new C code and modifications to bibutils' C code, conversion to Bibentry (R and C code)"
		     ),
              person(given = "Chris", family = "Putman",
                     role = "aut",
		     comment = "src/*, author of the bibutils libraries, https://sourceforge.net/projects/bibutils/"),
              person(given = "Richard", family = "Mathar",
                     role = "ctb",
		     comment = "src/addsout.c"),
              person(given = "Johannes", family = "Wilm",
                     role = "ctb",
		     comment = "src/biblatexin.c, src/bltypes.c")
		     )
Description: Read and write 'Bibtex' files. Convert between bibliography
    formats, including 'Bibtex', 'Biblatex', 'PubMed', 'Endnote', and
    'Bibentry'.  Includes a port of the 'bibutils' utilities by Chris
    Putnam <https://sourceforge.net/projects/bibutils/>. Supports all
    bibliography formats and character encodings implemented in
    'bibutils'.
License: GPL-2
URL: https://geobosh.github.io/rbibutils/ (website),
        https://github.com/GeoBosh/rbibutils (devel)
BugReports: https://github.com/GeoBosh/rbibutils/issues
Depends: R (>= 2.10)
Imports: utils, tools
Suggests: testthat
Encoding: UTF-8
NeedsCompilation: yes
Config/Needs/memcheck: devtools, rcmdcheck
Packaged: 2021-12-06 21:49:35 UTC; georgi
Author: Georgi N. Boshnakov [aut, cre] (R port, R code, new C code and
    modifications to bibutils' C code, conversion to Bibentry (R and C
    code)),
  Chris Putman [aut] (src/*, author of the bibutils libraries,
    https://sourceforge.net/projects/bibutils/),
  Richard Mathar [ctb] (src/addsout.c),
  Johannes Wilm [ctb] (src/biblatexin.c, src/bltypes.c)
Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
Repository: CRAN
Date/Publication: 2021-12-07 07:50:02 UTC

=== debian/changelog ===
r-cran-rbibutils (2.2.7-2) unstable; urgency=medium

  * Team Upload.
  * Pull upstream patch to fix arm64 CI problem (Closes: #1001936)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Dec 2021 18:55:04 +0530

r-cran-rbibutils (2.2.7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 11:56:57 +0100

r-cran-rbibutils (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 15 Oct 2021 13:07:54 +0200

r-cran-rbibutils (2.2.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 29 Aug 2021 15:46:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
 Homepage: https://cran.r-project.org/package=rbibutils

## r-cran-rbibutils 2.2.9

=== debian/changelog ===
r-cran-rbibutils (2.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.9

 -- Nilesh Patra <nilesh@debian.org>  Fri, 19 Aug 2022 18:42:06 +0530

r-cran-rbibutils (2.2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.8
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Drop patches applied upstream

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:10:31 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
 Homepage: https://cran.r-project.org/package=rbibutils

## r-cran-rbibutils 2.2.13

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: rbibutils
 Type: Package
 Title: Read 'Bibtex' Files and Convert Between Bibliography Formats
-Version: 2.2.7
-Date: 2021-12-06
+Version: 2.2.13
 Authors@R: c( person(given = c("Georgi", "N."), family = "Boshnakov", 
                      role = c("aut", "cre"), 	
                      email = "georgi.boshnakov@manchester.ac.uk",
@@ -25,7 +24,7 @@
     bibliography formats and character encodings implemented in
     'bibutils'.
 License: GPL-2
-URL: https://geobosh.github.io/rbibutils/ (website),
+URL: https://geobosh.github.io/rbibutils/ (doc),
         https://github.com/GeoBosh/rbibutils (devel)
 BugReports: https://github.com/GeoBosh/rbibutils/issues
 Depends: R (>= 2.10)
@@ -34,7 +33,7 @@
 Encoding: UTF-8
 NeedsCompilation: yes
 Config/Needs/memcheck: devtools, rcmdcheck
-Packaged: 2021-12-06 21:49:35 UTC; georgi
+Packaged: 2023-01-13 09:13:20 UTC; georgi
 Author: Georgi N. Boshnakov [aut, cre] (R port, R code, new C code and
     modifications to bibutils' C code, conversion to Bibentry (R and C
     code)),
@@ -44,4 +43,4 @@
   Johannes Wilm [ctb] (src/biblatexin.c, src/bltypes.c)
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2021-12-07 07:50:02 UTC
+Date/Publication: 2023-01-13 13:50:02 UTC

=== debian/changelog ===
r-cran-rbibutils (2.2.13-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Jan 2023 15:19:28 +0100

r-cran-rbibutils (2.2.11-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:03:23 +0100

r-cran-rbibutils (2.2.10-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:16:32 +0100

## r-cran-rbibutils 2.2.16

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rbibutils
 Type: Package
 Title: Read 'Bibtex' Files and Convert Between Bibliography Formats
-Version: 2.2.13
+Version: 2.2.16
 Authors@R: c( person(given = c("Georgi", "N."), family = "Boshnakov", 
                      role = c("aut", "cre"), 	
                      email = "georgi.boshnakov@manchester.ac.uk",
@@ -33,7 +33,7 @@
 Encoding: UTF-8
 NeedsCompilation: yes
 Config/Needs/memcheck: devtools, rcmdcheck
-Packaged: 2023-01-13 09:13:20 UTC; georgi
+Packaged: 2023-10-25 13:16:13 UTC; georgi
 Author: Georgi N. Boshnakov [aut, cre] (R port, R code, new C code and
     modifications to bibutils' C code, conversion to Bibentry (R and C
     code)),
@@ -43,4 +43,4 @@
   Johannes Wilm [ctb] (src/biblatexin.c, src/bltypes.c)
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-01-13 13:50:02 UTC
+Date/Publication: 2023-10-25 13:50:02 UTC

=== debian/changelog ===
r-cran-rbibutils (2.2.16-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 01 Nov 2023 11:38:19 +0100

r-cran-rbibutils (2.2.15-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Sep 2023 14:11:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-rbibutils
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
+Homepage: https://cran.r-project.org/package=rbibutils
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
-Homepage: https://cran.r-project.org/package=rbibutils
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rbibutils
 Architecture: any

## r-cran-rbibutils 2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rbibutils
 Type: Package
 Title: Read 'Bibtex' Files and Convert Between Bibliography Formats
-Version: 2.2.16
+Version: 2.3
 Authors@R: c( person(given = c("Georgi", "N."), family = "Boshnakov", 
                      role = c("aut", "cre"), 	
                      email = "georgi.boshnakov@manchester.ac.uk",
@@ -15,8 +15,10 @@
 		     comment = "src/addsout.c"),
               person(given = "Johannes", family = "Wilm",
                      role = "ctb",
-		     comment = "src/biblatexin.c, src/bltypes.c")
-		     )
+		     comment = "src/biblatexin.c, src/bltypes.c"),
+	      person("R Core Team", role = "ctb",
+	             comment = "base R's bibentry and bibstyle implementation")
+            )
 Description: Read and write 'Bibtex' files. Convert between bibliography
     formats, including 'Bibtex', 'Biblatex', 'PubMed', 'Endnote', and
     'Bibentry'.  Includes a port of the 'bibutils' utilities by Chris
@@ -33,14 +35,15 @@
 Encoding: UTF-8
 NeedsCompilation: yes
 Config/Needs/memcheck: devtools, rcmdcheck
-Packaged: 2023-10-25 13:16:13 UTC; georgi
+Packaged: 2024-10-04 06:38:09 UTC; georgi
 Author: Georgi N. Boshnakov [aut, cre] (R port, R code, new C code and
     modifications to bibutils' C code, conversion to Bibentry (R and C
     code)),
   Chris Putman [aut] (src/*, author of the bibutils libraries,
     https://sourceforge.net/projects/bibutils/),
   Richard Mathar [ctb] (src/addsout.c),
-  Johannes Wilm [ctb] (src/biblatexin.c, src/bltypes.c)
+  Johannes Wilm [ctb] (src/biblatexin.c, src/bltypes.c),
+  R Core Team [ctb] (base R's bibentry and bibstyle implementation)
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2023-10-25 13:50:02 UTC
+Date/Publication: 2024-10-04 08:30:02 UTC

=== debian/changelog ===
r-cran-rbibutils (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Oct 2024 08:29:56 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
 Homepage: https://cran.r-project.org/package=rbibutils
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/rbibutils_([-\d.]*)\.tar\.gz

## r-cran-rbibutils 2.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: rbibutils
 Type: Package
 Title: Read 'Bibtex' Files and Convert Between Bibliography Formats
-Version: 2.3
+Version: 2.4.1
 Authors@R: c( person(given = c("Georgi", "N."), family = "Boshnakov", 
                      role = c("aut", "cre"), 	
                      email = "georgi.boshnakov@manchester.ac.uk",
-		     comment = "R port, R code, new C code and modifications to bibutils' C code, conversion to Bibentry (R and C code)"
-		     ),
+		     comment = c(ORCID = "0000-0003-2839-346X",
+		                         "R port, R code, new C code and modifications to bibutils' C code, conversion to Bibentry (R and C code)") ),
               person(given = "Chris", family = "Putman",
                      role = "aut",
 		     comment = "src/*, author of the bibutils libraries, https://sourceforge.net/projects/bibutils/"),
@@ -27,7 +27,7 @@
     'bibutils'.
 License: GPL-2
 URL: https://geobosh.github.io/rbibutils/ (doc),
-        https://github.com/GeoBosh/rbibutils (devel)
+        https://CRAN.R-project.org/package=rbibutils
 BugReports: https://github.com/GeoBosh/rbibutils/issues
 Depends: R (>= 2.10)
 Imports: utils, tools
@@ -35,10 +35,11 @@
 Encoding: UTF-8
 NeedsCompilation: yes
 Config/Needs/memcheck: devtools, rcmdcheck
-Packaged: 2024-10-04 06:38:09 UTC; georgi
-Author: Georgi N. Boshnakov [aut, cre] (R port, R code, new C code and
-    modifications to bibutils' C code, conversion to Bibentry (R and C
-    code)),
+Packaged: 2026-01-20 19:58:02 UTC; georgi
+Author: Georgi N. Boshnakov [aut, cre] (ORCID:
+    <https://orcid.org/0000-0003-2839-346X>, R port, R code, new C code
+    and modifications to bibutils' C code, conversion to Bibentry (R
+    and C code)),
   Chris Putman [aut] (src/*, author of the bibutils libraries,
     https://sourceforge.net/projects/bibutils/),
   Richard Mathar [ctb] (src/addsout.c),
@@ -46,4 +47,4 @@
   R Core Team [ctb] (base R's bibentry and bibstyle implementation)
 Maintainer: Georgi N. Boshnakov <georgi.boshnakov@manchester.ac.uk>
 Repository: CRAN
-Date/Publication: 2024-10-04 08:30:02 UTC
+Date/Publication: 2026-01-21 06:40:34 UTC

=== debian/changelog ===
r-cran-rbibutils (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Thu, 29 Jan 2026 14:41:46 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-rbibutils
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rbibutils.git
 Homepage: https://cran.r-project.org/package=rbibutils
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-rbibutils
 Architecture: any
